--------------------------------------------------------------------------------------------------------------------------------------------
-- INIT
--------------------------------------------------------------------------------------------------------------------------------------------
local NS = select( 2, ... );
--------------------------------------------------------------------------------------------------------------------------------------------
NS.localization = setmetatable( {}, { __index = function( self, key )
	self[key] = key; -- Use original phrase for undefined keys
	return key;
end } );
--
local L = NS.localization;
-- enUS, enGB
if GetLocale() == "enUS" or GetLocale() == "enGB" then
L["%s - Flash set successfully."] = "%s - Flash set successfully."
L["%s - Window found and set successfully."] = "%s - Window found and set successfully."
L["%s is now playing (%s%s)."] = "%s is now playing (%s%s)."
L["%s stopped playing (%s%s)."] = "%s stopped playing (%s%s)."
L["Call of Duty: Black Ops 4"] = "Call of Duty: Black Ops 4"
L["Call of Duty: MW"] = "Call of Duty: MW"
L["Call of Duty: MW2CR"] = "Call of Duty: MW2CR"
L["Destiny 2"] = "Destiny 2"
L["Diablo III"] = "Diablo III"
L["Flash: %s"] = "Flash: %s"
L["Hearthstone"] = "Hearthstone"
L["Heroes of the Storm"] = "Heroes of the Storm"
L["In App"] = "In App"
L["Mobile"] = "Mobile"
L["Overwatch"] = "Overwatch"
L["StarCraft II"] = "StarCraft II"
L["StarCraft: Remastered"] = "StarCraft: Remastered"
L["Unknown Game"] = "Unknown Game"
L["Warcraft III"] = "Warcraft III"
L["Window \"%s\" not found, please check the name and try again."] = "Window \"%s\" not found, please check the name and try again."
L["Window reset to DEFAULT_CHAT_FRAME."] = "Window reset to DEFAULT_CHAT_FRAME."
L["Window: %s"] = "Window: %s"
L["World of Warcraft"] = "World of Warcraft"

-- deDE
elseif GetLocale() == "deDE" then
--[[Translation missing --]]
--[[ L["%s - Flash set successfully."] = ""--]] 
--[[Translation missing --]]
--[[ L["%s - Window found and set successfully."] = ""--]] 
L["%s is now playing (%s%s)."] = "%s spielt jetzt (%s%s)."
L["%s stopped playing (%s%s)."] = "%s hat aufgehört zu spielen (%s%s)."
--[[Translation missing --]]
--[[ L["Call of Duty: Black Ops 4"] = ""--]] 
--[[Translation missing --]]
--[[ L["Call of Duty: MW"] = ""--]] 
--[[Translation missing --]]
--[[ L["Call of Duty: MW2CR"] = ""--]] 
--[[Translation missing --]]
--[[ L["Destiny 2"] = ""--]] 
L["Diablo III"] = "Diablo III"
--[[Translation missing --]]
--[[ L["Flash: %s"] = ""--]] 
L["Hearthstone"] = "Hearthstone"
L["Heroes of the Storm"] = "Heroes of the Storm"
--[[Translation missing --]]
--[[ L["In App"] = ""--]] 
--[[Translation missing --]]
--[[ L["Mobile"] = ""--]] 
L["Overwatch"] = "Overwatch"
L["StarCraft II"] = "StarCraft II"
--[[Translation missing --]]
--[[ L["StarCraft: Remastered"] = ""--]] 
--[[Translation missing --]]
--[[ L["Unknown Game"] = ""--]] 
--[[Translation missing --]]
--[[ L["Warcraft III"] = ""--]] 
--[[Translation missing --]]
--[[ L["Window \"%s\" not found, please check the name and try again."] = ""--]] 
--[[Translation missing --]]
--[[ L["Window reset to DEFAULT_CHAT_FRAME."] = ""--]] 
--[[Translation missing --]]
--[[ L["Window: %s"] = ""--]] 
L["World of Warcraft"] = "World of Warcraft"

-- esES
elseif GetLocale() == "esES" then
--[[Translation missing --]]
--[[ L["%s - Flash set successfully."] = ""--]] 
--[[Translation missing --]]
--[[ L["%s - Window found and set successfully."] = ""--]] 
L["%s is now playing (%s%s)."] = "%s ahora está jugando (%s%s)."
L["%s stopped playing (%s%s)."] = "%s dejó de tocar (%s%s)."
--[[Translation missing --]]
--[[ L["Call of Duty: Black Ops 4"] = ""--]] 
--[[Translation missing --]]
--[[ L["Call of Duty: MW"] = ""--]] 
--[[Translation missing --]]
--[[ L["Call of Duty: MW2CR"] = ""--]] 
--[[Translation missing --]]
--[[ L["Destiny 2"] = ""--]] 
--[[Translation missing --]]
--[[ L["Diablo III"] = ""--]] 
--[[Translation missing --]]
--[[ L["Flash: %s"] = ""--]] 
--[[Translation missing --]]
--[[ L["Hearthstone"] = ""--]] 
--[[Translation missing --]]
--[[ L["Heroes of the Storm"] = ""--]] 
--[[Translation missing --]]
--[[ L["In App"] = ""--]] 
--[[Translation missing --]]
--[[ L["Mobile"] = ""--]] 
--[[Translation missing --]]
--[[ L["Overwatch"] = ""--]] 
--[[Translation missing --]]
--[[ L["StarCraft II"] = ""--]] 
--[[Translation missing --]]
--[[ L["StarCraft: Remastered"] = ""--]] 
--[[Translation missing --]]
--[[ L["Unknown Game"] = ""--]] 
--[[Translation missing --]]
--[[ L["Warcraft III"] = ""--]] 
--[[Translation missing --]]
--[[ L["Window \"%s\" not found, please check the name and try again."] = ""--]] 
--[[Translation missing --]]
--[[ L["Window reset to DEFAULT_CHAT_FRAME."] = ""--]] 
--[[Translation missing --]]
--[[ L["Window: %s"] = ""--]] 
--[[Translation missing --]]
--[[ L["World of Warcraft"] = ""--]] 

-- frFR
elseif GetLocale() == "frFR" then
--[[Translation missing --]]
--[[ L["%s - Flash set successfully."] = ""--]] 
--[[Translation missing --]]
--[[ L["%s - Window found and set successfully."] = ""--]] 
--[[Translation missing --]]
--[[ L["%s is now playing (%s%s)."] = ""--]] 
--[[Translation missing --]]
--[[ L["%s stopped playing (%s%s)."] = ""--]] 
--[[Translation missing --]]
--[[ L["Call of Duty: Black Ops 4"] = ""--]] 
--[[Translation missing --]]
--[[ L["Call of Duty: MW"] = ""--]] 
--[[Translation missing --]]
--[[ L["Call of Duty: MW2CR"] = ""--]] 
--[[Translation missing --]]
--[[ L["Destiny 2"] = ""--]] 
--[[Translation missing --]]
--[[ L["Diablo III"] = ""--]] 
--[[Translation missing --]]
--[[ L["Flash: %s"] = ""--]] 
--[[Translation missing --]]
--[[ L["Hearthstone"] = ""--]] 
--[[Translation missing --]]
--[[ L["Heroes of the Storm"] = ""--]] 
--[[Translation missing --]]
--[[ L["In App"] = ""--]] 
--[[Translation missing --]]
--[[ L["Mobile"] = ""--]] 
--[[Translation missing --]]
--[[ L["Overwatch"] = ""--]] 
--[[Translation missing --]]
--[[ L["StarCraft II"] = ""--]] 
--[[Translation missing --]]
--[[ L["StarCraft: Remastered"] = ""--]] 
--[[Translation missing --]]
--[[ L["Unknown Game"] = ""--]] 
--[[Translation missing --]]
--[[ L["Warcraft III"] = ""--]] 
--[[Translation missing --]]
--[[ L["Window \"%s\" not found, please check the name and try again."] = ""--]] 
--[[Translation missing --]]
--[[ L["Window reset to DEFAULT_CHAT_FRAME."] = ""--]] 
--[[Translation missing --]]
--[[ L["Window: %s"] = ""--]] 
--[[Translation missing --]]
--[[ L["World of Warcraft"] = ""--]] 

-- itIT
elseif GetLocale() == "itIT" then
--[[Translation missing --]]
--[[ L["%s - Flash set successfully."] = ""--]] 
--[[Translation missing --]]
--[[ L["%s - Window found and set successfully."] = ""--]] 
--[[Translation missing --]]
--[[ L["%s is now playing (%s%s)."] = ""--]] 
--[[Translation missing --]]
--[[ L["%s stopped playing (%s%s)."] = ""--]] 
--[[Translation missing --]]
--[[ L["Call of Duty: Black Ops 4"] = ""--]] 
--[[Translation missing --]]
--[[ L["Call of Duty: MW"] = ""--]] 
--[[Translation missing --]]
--[[ L["Call of Duty: MW2CR"] = ""--]] 
--[[Translation missing --]]
--[[ L["Destiny 2"] = ""--]] 
--[[Translation missing --]]
--[[ L["Diablo III"] = ""--]] 
--[[Translation missing --]]
--[[ L["Flash: %s"] = ""--]] 
--[[Translation missing --]]
--[[ L["Hearthstone"] = ""--]] 
--[[Translation missing --]]
--[[ L["Heroes of the Storm"] = ""--]] 
--[[Translation missing --]]
--[[ L["In App"] = ""--]] 
--[[Translation missing --]]
--[[ L["Mobile"] = ""--]] 
--[[Translation missing --]]
--[[ L["Overwatch"] = ""--]] 
--[[Translation missing --]]
--[[ L["StarCraft II"] = ""--]] 
--[[Translation missing --]]
--[[ L["StarCraft: Remastered"] = ""--]] 
--[[Translation missing --]]
--[[ L["Unknown Game"] = ""--]] 
--[[Translation missing --]]
--[[ L["Warcraft III"] = ""--]] 
--[[Translation missing --]]
--[[ L["Window \"%s\" not found, please check the name and try again."] = ""--]] 
--[[Translation missing --]]
--[[ L["Window reset to DEFAULT_CHAT_FRAME."] = ""--]] 
--[[Translation missing --]]
--[[ L["Window: %s"] = ""--]] 
--[[Translation missing --]]
--[[ L["World of Warcraft"] = ""--]] 

-- koKR
elseif GetLocale() == "koKR" then
--[[Translation missing --]]
--[[ L["%s - Flash set successfully."] = ""--]] 
--[[Translation missing --]]
--[[ L["%s - Window found and set successfully."] = ""--]] 
L["%s is now playing (%s%s)."] = "%s님이 (%s%s)|1을;를; 플레이 중입니다."
L["%s stopped playing (%s%s)."] = "%s님이 게임을 종료했습니다  (%s%s)."
--[[Translation missing --]]
--[[ L["Call of Duty: Black Ops 4"] = ""--]] 
--[[Translation missing --]]
--[[ L["Call of Duty: MW"] = ""--]] 
--[[Translation missing --]]
--[[ L["Call of Duty: MW2CR"] = ""--]] 
--[[Translation missing --]]
--[[ L["Destiny 2"] = ""--]] 
L["Diablo III"] = "디아블로 III"
--[[Translation missing --]]
--[[ L["Flash: %s"] = ""--]] 
L["Hearthstone"] = "하스스톤"
L["Heroes of the Storm"] = "히어로즈 오브 더 스톰"
--[[Translation missing --]]
--[[ L["In App"] = ""--]] 
--[[Translation missing --]]
--[[ L["Mobile"] = ""--]] 
L["Overwatch"] = "오버워치"
L["StarCraft II"] = "스타크래프트 II"
--[[Translation missing --]]
--[[ L["StarCraft: Remastered"] = ""--]] 
--[[Translation missing --]]
--[[ L["Unknown Game"] = ""--]] 
--[[Translation missing --]]
--[[ L["Warcraft III"] = ""--]] 
--[[Translation missing --]]
--[[ L["Window \"%s\" not found, please check the name and try again."] = ""--]] 
--[[Translation missing --]]
--[[ L["Window reset to DEFAULT_CHAT_FRAME."] = ""--]] 
--[[Translation missing --]]
--[[ L["Window: %s"] = ""--]] 
L["World of Warcraft"] = "월드 오브 워크래프트"

-- ptBR
elseif GetLocale() == "ptBR" then
--[[Translation missing --]]
--[[ L["%s - Flash set successfully."] = ""--]] 
--[[Translation missing --]]
--[[ L["%s - Window found and set successfully."] = ""--]] 
--[[Translation missing --]]
--[[ L["%s is now playing (%s%s)."] = ""--]] 
--[[Translation missing --]]
--[[ L["%s stopped playing (%s%s)."] = ""--]] 
--[[Translation missing --]]
--[[ L["Call of Duty: Black Ops 4"] = ""--]] 
--[[Translation missing --]]
--[[ L["Call of Duty: MW"] = ""--]] 
--[[Translation missing --]]
--[[ L["Call of Duty: MW2CR"] = ""--]] 
--[[Translation missing --]]
--[[ L["Destiny 2"] = ""--]] 
--[[Translation missing --]]
--[[ L["Diablo III"] = ""--]] 
--[[Translation missing --]]
--[[ L["Flash: %s"] = ""--]] 
--[[Translation missing --]]
--[[ L["Hearthstone"] = ""--]] 
--[[Translation missing --]]
--[[ L["Heroes of the Storm"] = ""--]] 
--[[Translation missing --]]
--[[ L["In App"] = ""--]] 
--[[Translation missing --]]
--[[ L["Mobile"] = ""--]] 
--[[Translation missing --]]
--[[ L["Overwatch"] = ""--]] 
--[[Translation missing --]]
--[[ L["StarCraft II"] = ""--]] 
--[[Translation missing --]]
--[[ L["StarCraft: Remastered"] = ""--]] 
--[[Translation missing --]]
--[[ L["Unknown Game"] = ""--]] 
--[[Translation missing --]]
--[[ L["Warcraft III"] = ""--]] 
--[[Translation missing --]]
--[[ L["Window \"%s\" not found, please check the name and try again."] = ""--]] 
--[[Translation missing --]]
--[[ L["Window reset to DEFAULT_CHAT_FRAME."] = ""--]] 
--[[Translation missing --]]
--[[ L["Window: %s"] = ""--]] 
--[[Translation missing --]]
--[[ L["World of Warcraft"] = ""--]] 

-- ruRU
elseif GetLocale() == "ruRU" then
--[[Translation missing --]]
--[[ L["%s - Flash set successfully."] = ""--]] 
L["%s - Window found and set successfully."] = "%s - Окно найдено и установлено успешно."
L["%s is now playing (%s%s)."] = "%s играет в (%s%s)."
L["%s stopped playing (%s%s)."] = "%s выходит из игры (%s%s)"
L["Call of Duty: Black Ops 4"] = "Call of Duty: Black Ops 4"
L["Call of Duty: MW"] = "Call of Duty: MW"
L["Call of Duty: MW2CR"] = "Call of Duty: MW2CR"
L["Destiny 2"] = "Destiny 2"
L["Diablo III"] = "Diablo III"
--[[Translation missing --]]
--[[ L["Flash: %s"] = ""--]] 
L["Hearthstone"] = "Hearthstone"
L["Heroes of the Storm"] = "Heroes of the Storm"
L["In App"] = "В Приложении"
L["Mobile"] = "Мобильный"
L["Overwatch"] = "Overwatch"
L["StarCraft II"] = "StarCraft II"
L["StarCraft: Remastered"] = "StarCraft: Remastered"
L["Unknown Game"] = "Неизветная Игра"
L["Warcraft III"] = "Warcraft III"
L["Window \"%s\" not found, please check the name and try again."] = "Окно \"%s\" не найдено, пожалуйста, проверьте название и повторите попытку."
L["Window reset to DEFAULT_CHAT_FRAME."] = "Окно сброшено на настройки чата по умолчанию."
L["Window: %s"] = "Окно: %s"
L["World of Warcraft"] = "World of Warcraft"

-- zhCN
elseif GetLocale() == "zhCN" then
--[[Translation missing --]]
--[[ L["%s - Flash set successfully."] = ""--]] 
--[[Translation missing --]]
--[[ L["%s - Window found and set successfully."] = ""--]] 
--[[Translation missing --]]
--[[ L["%s is now playing (%s%s)."] = ""--]] 
--[[Translation missing --]]
--[[ L["%s stopped playing (%s%s)."] = ""--]] 
--[[Translation missing --]]
--[[ L["Call of Duty: Black Ops 4"] = ""--]] 
--[[Translation missing --]]
--[[ L["Call of Duty: MW"] = ""--]] 
--[[Translation missing --]]
--[[ L["Call of Duty: MW2CR"] = ""--]] 
--[[Translation missing --]]
--[[ L["Destiny 2"] = ""--]] 
--[[Translation missing --]]
--[[ L["Diablo III"] = ""--]] 
--[[Translation missing --]]
--[[ L["Flash: %s"] = ""--]] 
--[[Translation missing --]]
--[[ L["Hearthstone"] = ""--]] 
--[[Translation missing --]]
--[[ L["Heroes of the Storm"] = ""--]] 
--[[Translation missing --]]
--[[ L["In App"] = ""--]] 
--[[Translation missing --]]
--[[ L["Mobile"] = ""--]] 
--[[Translation missing --]]
--[[ L["Overwatch"] = ""--]] 
--[[Translation missing --]]
--[[ L["StarCraft II"] = ""--]] 
--[[Translation missing --]]
--[[ L["StarCraft: Remastered"] = ""--]] 
--[[Translation missing --]]
--[[ L["Unknown Game"] = ""--]] 
--[[Translation missing --]]
--[[ L["Warcraft III"] = ""--]] 
--[[Translation missing --]]
--[[ L["Window \"%s\" not found, please check the name and try again."] = ""--]] 
--[[Translation missing --]]
--[[ L["Window reset to DEFAULT_CHAT_FRAME."] = ""--]] 
--[[Translation missing --]]
--[[ L["Window: %s"] = ""--]] 
--[[Translation missing --]]
--[[ L["World of Warcraft"] = ""--]] 

-- zhTW
elseif GetLocale() == "zhTW" then
--[[Translation missing --]]
--[[ L["%s - Flash set successfully."] = ""--]] 
--[[Translation missing --]]
--[[ L["%s - Window found and set successfully."] = ""--]] 
L["%s is now playing (%s%s)."] = "%s 正在玩 (%s%s)。"
L["%s stopped playing (%s%s)."] = "%s 下線了 (%sBattle.net 還在線上)。"
--[[Translation missing --]]
--[[ L["Call of Duty: Black Ops 4"] = ""--]] 
--[[Translation missing --]]
--[[ L["Call of Duty: MW"] = ""--]] 
--[[Translation missing --]]
--[[ L["Call of Duty: MW2CR"] = ""--]] 
--[[Translation missing --]]
--[[ L["Destiny 2"] = ""--]] 
L["Diablo III"] = "暗黑破壞神三"
--[[Translation missing --]]
--[[ L["Flash: %s"] = ""--]] 
L["Hearthstone"] = "爐石戰記"
L["Heroes of the Storm"] = "暴雪英霸"
--[[Translation missing --]]
--[[ L["In App"] = ""--]] 
--[[Translation missing --]]
--[[ L["Mobile"] = ""--]] 
L["Overwatch"] = "鬥陣特攻"
L["StarCraft II"] = "星海爭霸二"
--[[Translation missing --]]
--[[ L["StarCraft: Remastered"] = ""--]] 
--[[Translation missing --]]
--[[ L["Unknown Game"] = ""--]] 
--[[Translation missing --]]
--[[ L["Warcraft III"] = ""--]] 
--[[Translation missing --]]
--[[ L["Window \"%s\" not found, please check the name and try again."] = ""--]] 
--[[Translation missing --]]
--[[ L["Window reset to DEFAULT_CHAT_FRAME."] = ""--]] 
--[[Translation missing --]]
--[[ L["Window: %s"] = ""--]] 
L["World of Warcraft"] = "魔獸世界"

end
